Page MenuHomePhabricator

LivePreview should not replace title message with displaytitle value in firstHeading
Closed, ResolvedPublic

Description

Steps to reproduce:

Actual result: The firstHeading contains "Wikipedia:Sandbox".
Expected result: The firstHeading contains "Editing Wikipedia:Sandbox".

Event Timeline

Fomafix created this task.Jan 5 2015, 10:04 AM
Fomafix claimed this task.
Fomafix raised the priority of this task from to Normal.
Fomafix updated the task description. (Show Details)
Fomafix added a subscriber: Fomafix.

Change 182780 had a related patch set uploaded (by Gerrit Patch Uploader):
mediawiki.action.edit.preview: Replace only title in firstHeading

https://gerrit.wikimedia.org/r/182780

Patch-For-Review

Change 182794 had a related patch set uploaded (by Gerrit Patch Uploader):
LivePreview: displaytitle updates only the title of the firstHeading

https://gerrit.wikimedia.org/r/182794

Patch-For-Review

Krinkle renamed this task from LivePreview: Displaytitle replaces FirstHeading instead of title in FirstHeading to LivePreview should not replace tilte message with displaytitle value in in firstHeading.Jan 5 2015, 1:57 PM
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.
Krinkle added a subscriber: TheDJ.
Fomafix renamed this task from LivePreview should not replace tilte message with displaytitle value in in firstHeading to LivePreview should not replace title message with displaytitle value in in firstHeading.Jan 5 2015, 2:22 PM
Fomafix renamed this task from LivePreview should not replace title message with displaytitle value in in firstHeading to LivePreview should not replace title message with displaytitle value in firstHeading.Jan 11 2015, 4:37 PM
TheDJ added a comment.Mar 17 2015, 9:13 AM

Isn't it better to solve this similar to T88117 ?

Isn't it better to solve this similar to T88117 ?

When https://gerrit.wikimedia.org/r/187710 is merged this solution can integrated in https://gerrit.wikimedia.org/r/182780

When the (display)title in all headings gets wrapped by a special element the solution from https://gerrit.wikimedia.org/r/182794 can used.

Change 182794 abandoned by Krinkle:
LivePreview: displaytitle updates only the title of the firstHeading

Reason:
In favour of I71098997ae4.

https://gerrit.wikimedia.org/r/182794

@Fomafix I've merged the one, so you can now amend the other to that solution.

Done in Patch Set 5.

Change 182780 merged by jenkins-bot:
mediawiki.action.edit.preview: Replace only title in firstHeading

https://gerrit.wikimedia.org/r/182780

TheDJ closed this task as Resolved.Mar 26 2015, 12:30 AM
TheDJ removed a project: Patch-For-Review.